| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Private Member Functions | List of all members
CrissCross Class Referencefinal

CrissCross. More...

`#include <game.h>`

Inheritance diagram for CrissCross:

## Private Member Functions
void | endTurn ()
| Ends the current turn.
void | nextTurn ()
| Switches to the next turn.
bool | checkVictory () noexcept
| Checks whether somebody won or not.
bool | gameDraw () const noexcept
| Checks whether the game is draw or not.
void | victory () noexcept
| Someone won, process the victory.
void | draw () noexcept
| The match is over but nobody won, the game is draw.
void | AI_playTurn () noexcept
| Main function for the AI to play its turn.
void | AI_updateWeights () noexcept
| Updates the weights of the tiles.
unsigned | AI_makeChoice () const noexcept
| Makes the choice depending on the weights.

## Detailed Description

CrissCross.

Player vs AI criss-cross game

## Member Function Documentation

## ◆ AI_makeChoice()

unsigned CrissCross::AI_makeChoice | ( |  | ) | const
| private noexcept

Makes the choice depending on the weights.

Returns
  The tile to select

See also
  AI_playTurn();

## ◆ AI_updateWeights()

void CrissCross::AI_updateWeights | ( |  | ) |
| private noexcept

Updates the weights of the tiles.

See also
  AI_playTurn();

The documentation for this class was generated from the following files:

- logdoctor/games/crisscross/game.h
- logdoctor/games/crisscross/game.cpp